import es

class Building(object):
    def __init__(self, index):
        self.index = index
        self.buildstate = self.isConstructed()
        self.health = self.getHealth()
        self.objtype = self.getType()
        self.ownerid = self.getOwnerUserid()
        self.sapped = self.hasSapper()
    def isConstructed(self):
        return (es.getindexprop(self.index, "CBaseObject.m_flPercentageConstructed")==1.0)
    def getHealth(self):
        return int(es.getindexprop(self.index, "CBaseObject.m_iHealth"))
    def getMaxHealth(self):
        return int(es.getindexprop(self.index, "CBaseObject.m_iMaxHealth"))
    def getType(self):
        return int(es.getindexprop(self.index, "CBaseObject.m_iObjectType"))
    def getOwnerUserid(self):
        return es.getuserid(es.getindexprop(self.index, "CBaseObject.m_hBuilder"))
    def hasSapper(self):
        return bool(es.getindexprop(self.index, "CBaseObject.m_bHasSapper"))

        
        
        
